<?php
namespace Claromentis\Admin\Sysadmin\UseCase;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array();
use Claromentis\Admin\Sysadmin\ServiceStatus;
use Claromentis\Search\DaemonControl;
class GetIndexingStatus
{
    private DaemonControl $daemon_control;
    public function __construct(DaemonControl $daemon_control)
    {
        $this->daemon_control = $daemon_control;
    }
    public function GetSummaryStatus()
    {
        if (!$this->daemon_control->GetStatus()) {
            return ServiceStatus::ERROR;
        }
        return ServiceStatus::OK;
    }
}